#include "rigidbodytransformation.h"

RigidBodyTransformation::RigidBodyTransformation(Primitive child)
{
    tx = 0;
    ty = 0;
    tz = 0;
    rotation = new QQuaternion();
    this->child = child;
}

RigidBodyTransformation::setTranslation(double x, double y, double z=0){
    tx = x;
    ty = y;
    tz = z;
}

RigidBodyTransformation::getRotation(){
    return rotation;
}

RigidBodyTransformation::setRotation(QQuaternion newRotation){
    rotation = newRotation;
}
