#ifndef RIGIDBODYTRANSFORMATION_H
#define RIGIDBODYTRANSFORMATION_H


class RigidBodyTransformation
{
public:
    RigidBodyTransformation();

    void setTranslation(double x, double y, double z = 0);
    void setRotation(QQuaternion newRotation);
    QQuaternion getRotation();

private :
    //translation
    double tx, ty, tz;
    //rotation
    QQuaternion rotation;

    //child in scene graph
    Primitive child;
};

#endif // RIGIDBODYTRANSFORMATION_H
